## gr-dab 0.3

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-dab CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")
SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -std=c++11" )
SET( CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=c11" )

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find FAAD
########################################################################
find_package(Faad REQUIRED)
if (NOT FAAD_FOUND )
    message(FATAL_ERROR "please install libfaad")
else()
    message(STATUS "FAAD found")
endif ()


########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS filesystem system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile dab")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include/grdab)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(CppUnit)
find_package(Doxygen)

# Search for GNU Radio and its components and versions. Add any
# components required to the list of GR_REQUIRED_COMPONENTS (in all
# caps such as FILTER or FFT) and change the version to the minimum
# API compatible version required.
set(GR_REQUIRED_COMPONENTS RUNTIME FILTER)
find_package(Gnuradio "3.7.1" REQUIRED)

if(NOT CPPUNIT_FOUND)
    message(FATAL_ERROR "CppUnit required to compile dab")
endif()

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${CPPUNIT_INCLUDE_DIRS}
    ${GNURADIO_ALL_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${CPPUNIT_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
    ${GNURADIO_FILTER_LIBRARY_DIRS}
)

# Set component parameters
set(GR_DAB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_DAB_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/grdab)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)

########################################################################
# Install cmake search helper for this library
########################################################################
install(FILES cmake/Modules/dabConfig.cmake
    DESTINATION lib${LIB_SUFFIX}/cmake/grdab
)

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    grdab
    DESTINATION bin
)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
install(FILES
    dab_ofdm_sync_dab.xml
    dab_ofdm_sync_dab2.xml
    dab_detect_null.xml
    dab_moving_sum_ff.xml
    dab_ofdm_ffe_all_in_one.xml
    dab_ofdm_sampler.xml
    dab_ofdm_coarse_frequency_correct.xml
    dab_diff_phasor_vcc.xml
    dab_ofdm_remove_first_symbol_vcc.xml
    dab_frequency_interleaver_vcc.xml
    dab_qpsk_demapper_vcb.xml
    dab_complex_to_interleaved_float_vcf.xml
    dab_modulo_ff.xml
    dab_measure_processing_rate.xml
    dab_fic_decode.xml
    dab_ofdm_demod.xml
    dab_ofdm_mod.xml
    dab_select_vectors.xml
    dab_repartition_vectors.xml
    dab_unpuncture_vff.xml
    dab_prune_vectors.xml
    dab_fib_sink_vb.xml
    dab_estimate_sample_rate_bf.xml
    dab_fractional_interpolator_triggered_update_cc.xml
    dab_magnitude_equalizer_vcc.xml
    dab_qpsk_mapper_vbc.xml
    dab_ofdm_insert_pilot_vcc.xml
    dab_sum_phasor_trig_vcc.xml
    dab_ofdm_move_and_insert_zero.xml
    dab_insert_null_symbol.xml
    dab_time_deinterleave_ff.xml
    dab_crc16_bb.xml
    dab_msc_decode.xml
    dab_select_subch_vfvf.xml
    dab_unpuncture_ff.xml
    dab_prune.xml
    dab_firecode_check_bb.xml
    dab_puncture_bb.xml
    dab_mp2_decode_bs.xml
    dab_mp4_decode_bs.xml
    dab_reed_solomon_decode_bb.xml
    dab_dabplus_audio_decoder_ff.xml
    dab_valve_ff.xml
    dab_peak_detector_fb.xml
    dab_xrun_monitor.xml
    dab_osmo_or_zmq_source.xml
    dab_control_stream_to_tag_cc.xml DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(${Boost_INCLUDE_DIR} ${FDK-AAC-DAB_INCLUDE_DIRS} ${LIBTOOLAME-DAB_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})
list(APPEND dab_sources
    moving_sum_ff_impl.cc
    ofdm_ffe_all_in_one_impl.cc
    ofdm_sampler_impl.cc
    ofdm_coarse_frequency_correct_impl.cc
    diff_phasor_vcc_impl.cc
    ofdm_remove_first_symbol_vcc_impl.cc
    frequency_interleaver_vcc_impl.cc
    qpsk_demapper_vcb_impl.cc
    complex_to_interleaved_float_vcf_impl.cc
    modulo_ff_impl.cc
    measure_processing_rate_impl.cc
    select_vectors_impl.cc
    repartition_vectors_impl.cc
    unpuncture_vff_impl.cc
    prune_vectors_impl.cc
    fib_sink_vb_impl.cc
    crc16.cc
    estimate_sample_rate_bf_impl.cc
    fractional_interpolator_triggered_update_cc_impl.cc
    magnitude_equalizer_vcc_impl.cc
    qpsk_mapper_vbc_impl.cc
    ofdm_insert_pilot_vcc_impl.cc
    sum_phasor_trig_vcc_impl.cc
    ofdm_move_and_insert_zero_impl.cc
    insert_null_symbol_impl.cc
    time_deinterleave_ff_impl.cc
    crc16_bb_impl.cc
    select_subch_vfvf_impl.cc
    unpuncture_ff_impl.cc
    prune_impl.cc
    firecode-checker.cpp
    firecode_check_bb_impl.cc
    puncture_bb_impl.cc
    mp2_decode_bs_impl.cc
    mp4_decode_bs_impl.cc
    reed_solomon_decode_bb_impl.cc
    fec/decode_rs_char.c
    fec/init_rs_char.c
    valve_ff_impl.cc
    peak_detector_fb_impl.cc
    control_stream_to_tag_cc_impl.cc
    xrun_monitor_cc_impl.cc )


set(dab_sources "${dab_sources}" PARENT_SCOPE)
if(NOT dab_sources)
	MESSAGE(STATUS "No C++ sources... skipping lib/")
	return()
endif(NOT dab_sources)

add_library(gnuradio-dab SHARED ${dab_sources})
target_link_libraries(gnuradio-dab ${Boost_LIBRARIES} ${GNURADIO_ALL_LIBRARIES} ${GNURADIO_FILTER_LIBRARIES} ${FAAD_LIBRARIES})
set_target_properties(gnuradio-dab PROPERTIES DEFINE_SYMBOL "gnuradio_dab_EXPORTS")
set_target_properties(gnuradio-dab PROPERTIES SOVERSION 3.7.13)

if(APPLE)
    set_target_properties(gnuradio-dab PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-dab
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

include_directories(${CPPUNIT_INCLUDE_DIRS})

list(APPEND test_dab_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_dab.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_dab.cc
)

add_executable(test-dab ${test_dab_sources})


target_link_libraries(
  test-dab
  ${GNURADIO_RUNTIME_LIBRARIES}
  ${GNURADIO_FILTER_LIBRARIES}
  ${Boost_LIBRARIES}
  ${CPPUNIT_LIBRARIES}
  gnuradio-dab
)

GR_ADD_TEST(test_dab test-dab)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
  endif()


########################################################################
# Insert ICON PATH macro Insert ICON PATH macro into constants.py
########################################################################
set(GR_PKG_DAB_DATA_DIR ${GR_PKG_DATA_DIR})
set(GR_DAB_ICON_PATH ${CMAKE_INSTALL_PREFIX}/${GR_PKG_DATA_DIR})
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/constants.py.in
    ${CMAKE_CURRENT_BINARY_DIR}/constants.py
    ESCAPE_QUOTES
    @ONLY)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    ofdm_sync_dab.py
    ofdm_sync_dab2.py
    detect_null.py
    ofdm.py
    parameters.py
    fic.py
    msc_decode.py
    osmo_or_zmq_source.py
    ${CMAKE_CURRENT_BINARY_DIR}/constants.py
    dab_audio_decoder_ff.py
    dabplus_audio_decoder_ff.py DESTINATION ${GR_PYTHON_DIR}/grdab
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-dab)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_time_deinterleave_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_time_deinterleave_ff.py)
GR_ADD_TEST(qa_fib_sink_vb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fib_sink_vb.py)
GR_ADD_TEST(qa_crc16_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crc16_bb.py)
GR_ADD_TEST(qa_select_subch_vfvf ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_select_subch_vfvf.py)
GR_ADD_TEST(qa_unpuncture_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_unpuncture_ff.py)
GR_ADD_TEST(qa_prune ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_prune.py)
GR_ADD_TEST(qa_puncture_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_puncture_bb.py)
GR_ADD_TEST(qa_mp2_decode_bs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_mp2_decode_bs.py)
GR_ADD_TEST(qa_mp4_decode_bs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_mp4_decode_bs.py)
GR_ADD_TEST(qa_dabplus_audio_decoder_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_dabplus_audio_decoder_ff.py)
GR_ADD_TEST(qa_reed_solomon_decode_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_reed_solomon_decode_bb.py)
GR_ADD_TEST(qa_valve_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_valve_ff.py)
GR_ADD_TEST(qa_peak_detector_fb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_peak_detector_fb.py)

add_subdirectory(app)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT dab_sources)
	MESSAGE(STATUS "No C++ sources... skipping swig/")
	return()
endif(NOT dab_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

foreach(incdir ${GNURADIO_FILTER_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-dab)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/grdab_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(grdab_swig grdab_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS grdab_swig DESTINATION ${GR_PYTHON_DIR}/grdab)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    grdab_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/grdab_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/swig
)

=== include/grdab/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    moving_sum_ff.h
    ofdm_ffe_all_in_one.h
    ofdm_sampler.h
    ofdm_coarse_frequency_correct.h
    diff_phasor_vcc.h
    ofdm_remove_first_symbol_vcc.h
    frequency_interleaver_vcc.h
    qpsk_demapper_vcb.h
    complex_to_interleaved_float_vcf.h
    modulo_ff.h
    measure_processing_rate.h
    select_vectors.h
    repartition_vectors.h
    unpuncture_vff.h
    fib_sink_vb.h
    prune_vectors.h
    estimate_sample_rate_bf.h
    fractional_interpolator_triggered_update_cc.h
    magnitude_equalizer_vcc.h
    qpsk_mapper_vbc.h
    ofdm_insert_pilot_vcc.h
    sum_phasor_trig_vcc.h
    ofdm_move_and_insert_zero.h
    insert_null_symbol.h
    time_deinterleave_ff.h
    crc16_bb.h
    select_subch_vfvf.h
    unpuncture_ff.h
    prune.h
    firecode_check_bb.h
    puncture_bb.h
    mp2_decode_bs.h
    mp4_decode_bs.h
    reed_solomon_decode_bb.h
    valve_ff.h
    peak_detector_fb.h
    xrun_monitor_cc.h
    control_stream_to_tag_cc.h DESTINATION include/grdab
)

=== python/app/CMakeLists.txt ===

include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
  endif()

add_custom_command(OUTPUT adjustment_gui.py COMMAND mkdir -p ${CMAKE_BINARY_DIR}/python/app
                                            COMMAND cp -r ${CMAKE_SOURCE_DIR}/python/app/*.py ${CMAKE_BINARY_DIR}/python/app/
                                            COMMAND bash -c "PYTHONPATH=${CMAKE_BINARY_DIR}/python/app GRC_BLOCKS_PATH=${CMAKE_SOURCE_DIR}/grc/ grcc ${CMAKE_SOURCE_DIR}/python/app/adjustment_gui.grc -d ${CMAKE_BINARY_DIR}/python/app/"
                                            COMMAND cp ${CMAKE_BINARY_DIR}/python/app/top_block.py ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py)
add_custom_target(run ALL DEPENDS ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py)

GR_PYTHON_INSTALL(
    FILES
    get_channels.py
    receive_dabplus.py
    config.py
    adjust_gui_helpers.py
    channel_mapping.py
    curses_app.py
    ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py
    __init__.py DESTINATION ${GR_PYTHON_DIR}/grdab/app
)

=== debian/changelog ===
gr-dab (0.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 10 Nov 2018 09:18:00 +0100

gr-dab (0.3-2) unstable; urgency=medium

  * debian/control:
    - Depend on matching version of libgnuradio-dab3.7.13
    - Set Multi-Arch: same for gr-dab-dev
    - Build-depend on txt2man
  * debian/gr-dab.examples: Install channels.yaml
  * debian/gr-dab.install: Install sdr-zmq-daemon
  * debian/rules:
    - New overrides for building man page with txt2man
  * debiaen/man: Man pages generated via txt2man

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 03 Nov 2018 15:01:01 +0100

gr-dab (0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Build-depend and install-depend on python-gtk2
  * debian/gr-dab.docs: Install README.md
  * debian/rules: set --no-parallel since parallel build can fail

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Nov 2018 08:09:54 +0100

gr-dab (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #906983)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 22:38:24 +0200

=== debian/control ===
Source: gr-dab
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 11),
               gnuradio-dev,
               cmake,
               libfaad-dev,
               doxygen,
               pkg-config,
               python-gtk2,
               swig,
               txt2man
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/rubund/gr-dab
Vcs-Git: https://salsa.debian.org/rubund/gr-dab.git
Homepage: https://github.com/andrmuel/gr-dab


Package: gr-dab
Architecture: any
Depends: libgnuradio-dab3.7.13 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         gnuradio,
         python
Description: Gnuradio blocks and tools for receiving DAB and DAB+ radio
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 GNURadio Companion modules are also included.


Package: libgnuradio-dab3.7.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Shared library for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the shared library for gr-dab.


Package: gr-dab-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnuradio-dab3.7.13 (= ${binary:Version}),
         gnuradio-dev,
         ${misc:Depends}
Description: Development files for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the development files for gr-dab

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

# Disable running tests since they have problems upstream. REMEMBER to check
# again for every new release
override_dh_auto_test:
	#dh_auto_test


override_dh_clean:
	dh_clean
	$(RM) debian/man/*.1

# We do not want to install the development files in this package
override_dh_auto_install:
	dh_auto_install
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/grdab/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/grdab/*.pyo
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/grdab/app/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/grdab/app/*.pyo

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

=== debian/watch ===
version=3
https://github.com/andrmuel/gr-dab/releases /andrmuel/gr-dab/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
